package w83b.w83bOperacionesPaso.w83bCitaciones;


import java.util.HashMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83b.w83bBeans.W83bUsuarioXLNetsBean;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bIrEdicionCitacionAction extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		contexto.set("modoPantalla",W83bClsConstantes.MODO_EDICION);
		contexto.set("migas","inicio.utilidades.citaciones.edicionCitaciones");
		contexto.set("strTitleKey","comun.citaciones.labels.citacionesedicion");
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		
		boolean desdeEdicion=false;
		if(StringUtils.isEmpty(request.getParameter("codSelec"))
				&&(StringUtils.isEmpty((String)contexto.get("codSelecEdicion")))){
			HashMap mapa=(HashMap)contexto.get("w83bMapaCitacionesTemp");
			contexto.set("w83bCitacionDetalleBean",contexto.get("w83bNuevaCitacionBean"));
			contexto.set("modoPantalla",W83bClsConstantes.MODO_EDICION);
			contexto.set("codSelecEdicion",mapa.get("codSelec"));
//			return mapping.findForward("ok");
		}
		
		if (contexto.get("codSelecEdicion")!=null && StringUtils.isNotEmpty((String)contexto.get("codSelecEdicion")))
		{
			desdeEdicion=true;
		}
		if (StringUtils.isNotEmpty(request.getParameter("codSelec")) || desdeEdicion )
		{
			HashMap mapa=new HashMap();
			W83bUsuarioXLNetsBean usuario= (W83bUsuarioXLNetsBean)contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO);
			mapa.put("Usuario",usuario);
			if (StringUtils.isNotEmpty(request.getParameter("codSelec")))
			{
				mapa.put("codSelec", request.getParameter("codSelec"));	

			}
			else
			{
				mapa.put("codSelec",contexto.get("codSelecEdicion"));
			}
		
			mapa.put("pestania", "0");
			mapa.put("strIdioma", contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_IDIOMA));
			mapa.put("user", contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO));
			mapa.put("sidx", request.getParameter(W83bClsConstantes.RIA_IDCOLUMNAORDENAR));
			mapa.put("sord", request.getParameter(W83bClsConstantes.RIA_DIRECCIONORDENACION));
			contexto.set("w83bMapaCitaciones",mapa);
			contexto.set("w83bMapaCitacionesTemp",mapa);
			return mapping.findForward("ok");
		}
		
		
		

		
		if(contexto.get("w83bCitacionDetalleBean")!=null)
			{
				contexto.set("w83bCitacionDetalleBean",contexto.get("w83bCitacionDetalleBean"));
				
			}
		
		return mapping.findForward("error");

	}

}
